Bug 17945 - Breadcrumbs broken on opac-serial-issues.pl
Summary: Breadcrumbs broken on opac-serial-issues.pl
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Luke Honiss
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-19 20:07 UTC by Aleisha Amohia
Modified: 2017-05-03 04:07 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17945 - Breadcrumbs broken on opac-serial-issues.pl (1.62 KB, patch)
2017-01-19 22:59 UTC, Luke Honiss
Details | Diff | Splinter Review
Bug 17945 - Breadcrumbs broken on opac-serial-issues.pl (1.64 KB, patch)
2017-01-19 23:02 UTC, Luke Honiss
Details | Diff | Splinter Review
Bug 17945 - Breadcrumbs broken on opac-serial-issues.pl (1.69 KB, patch)
2017-03-20 15:35 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 17945 - Breadcrumbs broken on opac-serial-issues.pl (1.75 KB, patch)
2017-03-20 16:13 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2017-01-19 20:07:37 UTC
To see bug:
Set up a subscription with a record
Go to that record page in OPAC
Click Subscriptions tab, then 'More details'
Notice breadcrumbs are missing the record title
Comment 1 Luke Honiss 2017-01-19 22:59:02 UTC Comment hidden (obsolete)
Comment 2 Luke Honiss 2017-01-19 23:02:16 UTC
Created attachment 59292 [details] [review]
Bug 17945 - Breadcrumbs broken on opac-serial-issues.pl

==TEST PLAN==
1) Make a subscription with a record
2) Search and view the record in OPAC
3) Click on the subscription tab and click more details
4) The breadcrumb will say 'Detals for' without the record name
5) Apply patch
6) Refresh the page
7) The breadcrumb will display the name of the record

(fixed small error)
Comment 3 sandboxes@biblibre.com 2017-03-20 15:35:11 UTC
Patch tested with a sandbox, by Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 4 sandboxes@biblibre.com 2017-03-20 15:35:31 UTC
Created attachment 61327 [details] [review]
Bug 17945 - Breadcrumbs broken on opac-serial-issues.pl

==TEST PLAN==
1) Make a subscription with a record
2) Search and view the record in OPAC
3) Click on the subscription tab and click more details
4) The breadcrumb will say 'Detals for' without the record name
5) Apply patch
6) Refresh the page
7) The breadcrumb will display the name of the record

(fixed small error)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 5 Koha Team Lyon 3 2017-03-20 15:39:04 UTC
Works as described. In the OPAC, after clicking on "more Details" on subscription tab, in the breadcrumb, we can see the serial Title after "Details for"
Comment 6 Nick Clemens 2017-03-20 16:13:17 UTC
Created attachment 61328 [details] [review]
Bug 17945 - Breadcrumbs broken on opac-serial-issues.pl

==TEST PLAN==
1) Make a subscription with a record
2) Search and view the record in OPAC
3) Click on the subscription tab and click more details
4) The breadcrumb will say 'Detals for' without the record name
5) Apply patch
6) Refresh the page
7) The breadcrumb will display the name of the record

(fixed small error)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 7 Kyle M Hall 2017-03-31 14:38:40 UTC
Pushed to master for 17.05, thanks Luke!
Comment 8 Katrin Fischer 2017-04-02 17:45:05 UTC
This patch has been pushed to 16.11.x and will be in 16.11.07.
Comment 9 Julian Maurice 2017-04-21 10:42:04 UTC
Changed severity to minor

Pushed to 3.22.x for 3.22.20
Comment 10 Mason James 2017-05-03 04:07:18 UTC
Pushed to 16.05.x, for 16.05.12 release